## IAnjutaStreamSavable IAnjutaStreamSavable — Implemented by plugins that can save file streams |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-stream-savable.h>

    #define             IANJUTA_STREAM_SAVABLE_ERROR
                        IAnjutaStreamSavable;
                        IAnjutaStreamSavableIface;
    GQuark              ianjuta_stream_savable_error_quark  (void);
    void                ianjuta_stream_savable_save         (IAnjutaStreamSavable *obj,
                                                             FILE *stream,
                                                             GError **err);

## Object Hierarchy

      GInterface
       +----IAnjutaStreamSavable

## Prerequisites

IAnjutaStreamSavable requires IAnjutaStream and GObject.

## Description

## Details

### IANJUTA_STREAM_SAVABLE_ERROR

    #define IANJUTA_STREAM_SAVABLE_ERROR ianjuta_stream_savable_error_quark()

### IAnjutaStreamSavable

    typedef struct _IAnjutaStreamSavable IAnjutaStreamSavable;

### IAnjutaStreamSavableIface

    typedef struct {
    	IAnjutaStreamIface g_iface;

    	void (*save) (IAnjutaStreamSavable *obj, FILE* stream, GError **err);
    } IAnjutaStreamSavableIface;

### ianjuta_stream_savable_error_quark ()

    GQuark              ianjuta_stream_savable_error_quark  (void);

Returns : |

### ianjuta_stream_savable_save ()

    void                ianjuta_stream_savable_save         (IAnjutaStreamSavable *obj,
                                                             FILE *stream,
                                                             GError **err);

`obj` : |
`stream` : |
`err` : |